<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">

<hibernate-mapping>
    <class name="com.arrebol.taxiservicios.model.view.admin.TicketView" table="TICKET" catalog="crov_spa" mutable="false">
        <id name = "id" type="string">
            <column name="id" length="36"/>
        </id>
        <property name="payDay" type="double">
            <column name="pay_day"/>
        </property>
        <property name="paySaving" type="double">
            <column name="pay_saving"/>
        </property>
        <property name="accident" type="double">
            <column name="accident"/>
        </property>
        <property name="payDate" type="date">
            <column name="pay_date" length="10"/>
        </property>
        <property name="completeName" type="string">
            <column name="complete_name" length="250"/>
        </property>
        <property name="economicNumber" type="long">
            <column name="economic_number"/>
        </property>
        <many-to-one name="location" class="com.arrebol.taxiservicios.model.catalog.Location" fetch="select">
            <column name="location" length="36"/>
        </many-to-one>
    </class>
</hibernate-mapping>

